Bug 728410 - per-system package snippets
Summary: per-system package snippets
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.6
Hardware: Unspecified
OS: Unspecified
low
unspecified vote
Target Milestone: 0.10.0
Assignee: Dan Callaghan
QA Contact: Qixiang Wan
URL:
Whiteboard: Kickstart
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 02:50 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-22 06:43:48 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2011-08-05 02:50:32 UTC
If a system has particular requirements that a package always be included in %packages (for example, a hardware-specific package that is needed for booting) then it may be useful to add the package to a per-system snippet on the lab controller.

I think we used to have this with the rhts_packages snippet but it got lost along the way with commit a6a65e05.

Comment 2 Dan Callaghan 2012-10-26 01:50:09 UTC
On Gerrit: http://gerrit.beaker-project.org/1444

Beaker admins will be able to create a file like /etc/beaker/snippets/per_system/packages/hostname.example.com containing extra packages that are needed for that particular system.

Comment 3 Qixiang Wan 2012-11-14 02:49:22 UTC
Verified with build 0.9.4-2.git.104.1433411.

By creating a file named /etc/beaker/snippets/per_system/packages/$(system_fqdn) which containing some extra packages, the kickstart file will be generated with these extra packages appended in the "%packages" part. And verified these packages were installed after the install task.

Comment 4 Raymond Mancy 2012-11-22 06:43:48 UTC
This has now been released


Note You need to log in before you can comment on or make changes to this bug.